#
# spec file for package termine
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           termine
Version:        0.1.5
Release:        2.4
Summary:        Access your Groupwise appointments from the commandline
License:        MIT and GPL-2.0
Group:          Development/Languages/Python
Url:            http://bitbucket.org/cfarrell1980/termine/
Source:         http://pypi.python.org/packages/source/t/termine/termine-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-curses
Requires:       python-suds
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%else
BuildArch:      noarch
%endif
%if 0%{?suse_version} && 0%{?suse_version} <= 1140
BuildRequires:  python-setuptools
%else
BuildRequires:  python-setuptools
%endif

%description
termine is a collection of Python tools to connect to your Groupwise server
---------------------------------------------------------------------------

%prep
%setup -q -n termine-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/termine
%doc LICENSE.txt README.txt docs/

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jul 18 2012 cfarrell@suse.com
- Bump to 0.1.5 from PyPi. Rudimentary busy searching
* Tue Jul 17 2012 cfarrell@suse.com
- Added %%if to use setuptools on openSUSE <= 11.4
* Tue Jul 17 2012 cfarrell@suse.com
- Bump to 0.1.4 (from pypi pack). Default logging is now ERROR
* Sun Jul 15 2012 cfarrell@suse.com
- Bump to 0.1.3. We now distribute xsd and wsdl under GPL-2.0
* Thu Jul 12 2012 cfarrell@suse.com
- Bump to 0.1.2. Busy searching kind of works (we just dump info)
* Tue Jul 10 2012 cfarrell@suse.com
- Bump to 0.1.1 (should be a bit more stable)
* Mon Jul  9 2012 cfarrell@suse.com
- Fix UnicodeDecode errors and promt for WSDL and Gateway strings
* Sat Jul  7 2012 cfarrell@suse.com
- Need to find out how to require python-argparse only if %%py_ver < 2.7
* Sat Jul  7 2012 cfarrell@suse.com
- Initial import and build
